TechDraw Balloon: Difference between revisions

From FreeCAD Documentation
(Updated to match new page names.)
(document new feature and also describe moving as is in FC 0.19)
Line 33: Line 33:


<!--T:13-->
<!--T:13-->
# Select the View to which the Balloon will be attached.
There are 2 ways to add a Balloon:
* Select the View to which the Balloon will be attached.
# Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw_Balloon|Balloon]]}} button.
# Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw_Balloon|Balloon]]}} button.
# The cursor is now displayed as a balloon icon. Click on the page to place the balloon origin to the desired position.
# The cursor is now displayed as a balloon icon. Click on the page to place the Balloon origin to the desired position.
* Select a drawing object in the page. {{Version|0.20}}
# The balloon bubble may be dragged to the desired position. Use {{KEY|Ctrl}}+drag to move the bubble and the arrow.
# Press the {{Button|[[Image:TechDraw_Balloon.svg|16px]] [[TechDraw_Balloon|Balloon]]}} button.
# To change the balloon properties either double-clicking onto it in the drawing or double-click on the balloon object in the model tree. This will open the balloon dialog.
# If the selected object is a line or point, the Balloon is immediately added to it. For lines, it is automatically added at its center. If the object was an area, click at a position of the area where the Balloon should be added.

To drag the Balloon to the desired position, left-click on the Balloon and keep the mouse pressed while moving.

To change the balloon properties either double-clicking onto it in the drawing or double-click on the balloon object in the model tree. This will open the balloon dialog.


<!--T:29-->
<!--T:29-->

Revision as of 19:58, 9 October 2021

TechDraw Balloon

Menu location
TechDraw → Annotations → Insert Balloon Annotation
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Annotation

Description

The Balloon tool can add balloons with leader line in a drawing.

Usage

There are 2 ways to add a Balloon:

  • Select the View to which the Balloon will be attached.
  1. Press the Balloon button.
  2. The cursor is now displayed as a balloon icon. Click on the page to place the Balloon origin to the desired position.
  1. Press the Balloon button.
  2. If the selected object is a line or point, the Balloon is immediately added to it. For lines, it is automatically added at its center. If the object was an area, click at a position of the area where the Balloon should be added.

To drag the Balloon to the desired position, left-click on the Balloon and keep the mouse pressed while moving.

To change the balloon properties either double-clicking onto it in the drawing or double-click on the balloon object in the model tree. This will open the balloon dialog.

Note: The position of the balloon is relative to the View and uses the same scale factor as the View.

Using separators

When using a rectangle shape, separators can be added using "|" in the text. For example "AAA|TEST|111" gives:

Properties

Data

  • DataText: Text to be displayed.
  • DataSource View: Source View for the balloon.
  • DataOrigin X: Balloon origin x-position relative to the View.
  • DataOrigin Y: Balloon origin y-position relative to the View.
  • DataEnd Type: End symbol for the balloon line. Options: None, Filled Arrow, Open Arrow, Tick, Dot, Open Circle, Fork, Filled Triangle
  • DataEnd Type Scale: Scale factor for the End Type.
  • DataBubble Shape: Shape of the balloon bubble. Options: Circular, None, Triangle, Inspection, Hexagon, Square, Rectangle
  • DataShape Scale: Scale factor for the Shape.
  • DataText Wrap: Text wrap length; -1 means the text will never be wrapped and the result is in every case a single line.
  • DataKink Length: Distance from the Shape to the leader line kink.
  • DataX: Horizontal position of the balloon bubble relative to the View.
  • DataY: Vertical position of the balloon bubble relative to the View.

View

  • ViewColor: Color of the balloon text.
  • ViewFont: The name of the font to use for the balloon bubble.
  • ViewFontsize: Dimension text size in mm.
  • ViewLine Visible: Whether the balloon line is visible.
  • ViewLine Width: Balloon line width

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Balloon tool can be used in macros and from the Python console by using the following functions:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)